package com.zcloud.mapper.dsno1.hidden;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：隐患
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface HiddenMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**修改信息
	 * @param pd
	 * @throws Exception
	 */
	void editInfo(PageData pd);
	void editISCONFIRM(PageData pd);
	void editHIDDENLEVEL(PageData pd);

	/**定时修改过期隐患
	 * @param pd
	 * @throws Exception
	 */
	void editDeadline(PageData pd);

	/**整改
	 * @param pd
	 * @throws Exception
	 */
	void rectify(PageData pd);

	/**复查
	 * @param pd
	 * @throws Exception
	 */
	void review(PageData pd);

	/**验收
	 * @param pd
	 * @throws Exception
	 */
	void check(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**查询昨日过期隐患。发短信
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getYestoday(PageData pd);

	/**列表(全部，用于打印)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllToPrint(PageData pd);
	List<PageData> listHiddenAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**根据用户ID获取待验收隐患
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCountByCheckorId(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**批量修改
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void updateAll(PageData hiddens);

	List<PageData> hiddenStatisticsByDay(PageData pd);

	List<PageData> hiddenStatisticsAll(PageData pd);


	List<PageData> getCountByCreatorId(PageData pd);
	List<PageData> getCountByRectifiCationorId(PageData pd);

	void changeState(PageData pd);

	List<PageData> getBICount(PageData pd);

	void submit(PageData pd);

	/**
	 * 提交清单(其他)隐患
	 * @param pd
	 */
	void submitList(PageData pd);

	/**清单其他隐患
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getOtherHidden(PageData pd);
	List<PageData> getCountByHiddenType(PageData pd);


	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHiddenNum(PageData pd);

	/**公司停止试用，删除所有隐患
	 * @param pd
	 * @throws Exception
	 */
	void hiddenEndTrial(PageData pd);

    List<PageData> getRectifyExamine(PageData pd);

    List<PageData> librarylistPage(Page page);

	void changeLibrary(PageData entity) throws Exception;
}

